Provisioning a new site
=======================

## Required packages:

* nginx
* Python 3.6
* virtualenv + pip
* Git

eg, on Ubuntu:

    sudo apt update
    sudo apt install nginx git python3 python3-venv

## Nginx Virtual Host config

* see nginx.template.conf
* replace DOMAIN with, e.g., staging.my-domain.com

## Systemd service

* see gunicorn-systemd.template.service
* replace DOMAIN with, e.g., staging.my-domain.com

## Folder structure:

Assume we have a user account at /home/username

/home/username
```
└── sites
    ├── DOMAIN1
    |   ├── .env
    |   ├── db.sqlite3
    |   ├── manage.py etc
    |   ├── static
    |   └──env
    └── DOMAIN2
        ├── .env
        ├── db.sqlite3
        ├── etc
```

